package com.fjhx.ehsd.mapper.purchase;

import com.fjhx.ehsd.entity.purchase.po.EhsdPurchaseProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.ehsd.entity.purchase.vo.EhsdPurchaseProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * ehsd采购产品表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface EhsdPurchaseProductMapper extends BaseMapper<EhsdPurchaseProduct> {

    /**
     * ehsd采购产品表分页
     */
    Page<EhsdPurchaseProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdPurchaseProduct> wrapper);

}
