package com.fjhx.ehsd.service.purchase;

import com.fjhx.ehsd.entity.purchase.po.EhsdPurchaseProduct;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.ehsd.entity.purchase.vo.EhsdPurchaseProductVo;
import com.fjhx.ehsd.entity.purchase.dto.EhsdPurchaseProductSelectDto;
import com.fjhx.ehsd.entity.purchase.dto.EhsdPurchaseProductDto;


/**
 * <p>
 * ehsd采购产品表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface EhsdPurchaseProductService extends BaseService<EhsdPurchaseProduct> {

    /**
     * ehsd采购产品表分页
     */
    Page<EhsdPurchaseProductVo> getPage(EhsdPurchaseProductSelectDto dto);

    /**
     * ehsd采购产品表明细
     */
    EhsdPurchaseProductVo detail(Long id);

    /**
     * ehsd采购产品表新增
     */
    void add(EhsdPurchaseProductDto ehsdPurchaseProductDto);

    /**
     * ehsd采购产品表编辑
     */
    void edit(EhsdPurchaseProductDto ehsdPurchaseProductDto);

    /**
     * ehsd采购产品表删除
     */
    void delete(Long id);

}
